
Foreman - Bug #26674

Setting NIC host name to blank does not orchestrate DNS removal

04/24/2019 12:37 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: DNS   

Target version:    

Difficulty:  Fixed in Releases: 1.23.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6707

  

Description

We do not check for old.dns? in the codebase, however later on we actually allow update. Regression most likely.

Associated revisions

Revision a0782208 - 04/25/2019 03:11 PM - Lukas Zapletal

Fixes #26674 - blank NIC name removes DNS

History

#1 - 04/24/2019 02:10 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6707 added

#2 - 04/25/2019 03:11 PM - Timo Goebel

- Fixed in Releases 1.23.0 added

#3 - 04/25/2019 04:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset a0782208d055e68421f5a18179a2e19f03b87ce4.
